सामग्री पर जाएँ

Kling Video · v2.5 Turbo · Pro · Image to Video

इंटीग्रेट करें

मॉडल id kling-video/v2.5-turbo/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.5-turbo/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.35 350 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling इमेज से वीडियो तेज़5–10 s #stylized#transform

वैकल्पिक एंड इमेज और CFG नियंत्रण वाला v2.5 Turbo Pro इमेज-टू-वीडियो, 5 या 10 s

Kling · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2500
•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

वीडियो निर्माण के लिए उपयोग की जाने वाली इमेज का URL।

duration 5 s

आउटपुट वीडियो की अवधि, सेकंड में।

उन्नत negative_prompt · end_image · cfg_scale · enable_safety_checker
0 / 2500
tail_image_url
फ़ाइल ड्रॉप करें, या

वीडियो का अंत निर्धारित करने के लिए अंतिम-फ़्रेम इमेज का URL दें।

डिफ़ॉल्ट 0.5

CFG का उपयोग करके यह निर्धारित करें कि निर्माण आपके प्रॉम्प्ट का कितनी निकटता से पालन करे; CFG का अर्थ Classifier Free Guidance है।

POST /run/kling-video/v2.5-turbo/pro/image-to-video?wait=20 कोटेशन → $0.35
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.5-turbo/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling Video · v2.5 Turbo · Pro · Image to Video के बारे में

एक इमेज (`image_url`) और अधिकतम 2500 वर्णों वाले प्रॉम्प्ट को 5 या 10 सेकंड के वीडियो में बदलता है। वैकल्पिक `tail_image_url` अंतिम फ़्रेम सेट करता है। `cfg_scale` 0 से 1 तक होता है और `negative_prompt` समर्थित है। यह v2.5 Turbo का Pro स्तर है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच केवल अकाउंट प्राधिकरण के साथ अक्षम की जा सकती है; प्राधिकरण के बिना किए गए अनुरोधों की हमेशा जाँच होती है।
promptआवश्यक
प्रकारstring
≤ 2,500 अक्षर
image_urlआवश्यक image
प्रकारurl · image
वीडियो निर्माण के लिए उपयोग की जाने वाली इमेज का URL।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्ट5
510
आउटपुट वीडियो की अवधि, सेकंड में।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टblur, distort, and low quality
≤ 2,500 अक्षर
cfg_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.5
0 – 1
CFG का उपयोग करके यह निर्धारित करें कि निर्माण आपके प्रॉम्प्ट का कितनी निकटता से पालन करे; CFG का अर्थ Classifier Free Guidance है।
tail_image_urlवैकल्पिक end_image
प्रकारurl · image
वीडियो का अंत निर्धारित करने के लिए अंतिम-फ़्रेम इमेज का URL दें।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.5-turbo/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 350,
    "usd": "0.35",
    "charged": 350,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-video/v2.5-turbo/pro/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt